#ifndef HMAC_H
#define HMAC_H

#include "hasher.h"

/**
 * @file hmac.h 
 * @brief RFC2104 keyed hashing for message authentication
 */

/** 
 * @brief compute the digest
 */
void pdtp__hmac_compute(pdtp_hash_t algorithm, void *key, unsigned klen, void *data, unsigned dlen, void *digest);

#endif
