#!/bin/sh

rm -f .depend

for FILE in *.h; do
	LINE="$FILE: "
        for HEADER in `grep "^#include \"" $FILE | cut -d '"' -f 2`; do
                LINE="$LINE $HEADER"
        done
        echo $LINE >> .depend
        echo >> .depend
done

for FILE in *.c; do
	LINE="$FILE: "
	for HEADER in `grep "^#include \"" $FILE | cut -d '"' -f 2`; do
		LINE="$LINE $HEADER"
	done
	echo $LINE >> .depend
	echo >> .depend
done

for FILE in *.c; do
	OBJFILE=`echo $FILE | cut -d. -f 1`.o
	echo "$OBJFILE: $FILE" >> .depend
	echo >> .depend
done	

exit 0
