#ifndef MD5_H
#define MD5_H

/** 
 * @file md5.h 
 * @brief md5 implementation of hasher functions
 */
typedef struct pdtp_md5 *pdtp_md5_t;

pdtp_md5_t pdtp__md5_create(void);
void pdtp__md5_destroy(pdtp_md5_t);
	
void pdtp__md5_zero(pdtp_md5_t);
void pdtp__md5_add_data(pdtp_md5_t, void *buf, unsigned len);
void pdtp__md5_get_digest(pdtp_md5_t, unsigned char digest[16]);

#endif
