#ifndef SHA1_H
#define SHA1_H
/** 
 * @file sha1.h 
 * @brief sha1 implementation of hasher functions
 */

typedef struct pdtp_sha1 *pdtp_sha1_t;

pdtp_sha1_t pdtp__sha1_create(void);
void pdtp__sha1_destroy(pdtp_sha1_t);

void pdtp__sha1_zero(pdtp_sha1_t);
void pdtp__sha1_add_data(pdtp_sha1_t, void *buf, unsigned len);
void pdtp__sha1_get_digest(pdtp_sha1_t, unsigned char digest[20]);

#endif
